Skip to main content
`Ctrl`+`K`

# TSGetApplicationContext

Gets the user-defined context for the timestepper that was set with `TSSetApplicationContext()`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetApplicationContext(TS ts, void *usrP)

Not Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameter

- usrP - user context

## Fortran Notes

You must write a Fortran interface definition for this function that tells Fortran the Fortran derived data type that you are passing in as the `ctx` argument.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetApplicationContext()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex48.c
src/ts/tutorials/ex42.c
src/ts/tutorials/ex30.c
src/ts/tutorials/ex77.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages